# \Thelia\Core\Security\RoleRole

Role is a simple implementation of a RoleInterface where the role is a string.

## Summary

Methods
Properties
Constants
__construct()
getRole()
__toString()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
$role
N/A

File
  Core/Security/Role/Role.php
Package
  \Default
Class hierarchy
  \Thelia\Core\Security\Role\Role

## Tags

author | Fabien Potencier fabien@symfony.com

## Properties

### $role

    $role

#

## Tags

None found

## Methods

### __construct()

    __construct(string $role)

Constructor.

#### Parameters

string | $role | The role name

#

## Tags

None found

### getRole()

    getRole()

{@inheritdoc}

#

## Tags

None found

### __toString()

    __toString()

#

## Tags

None found

### Role.php